%define with_maven 1
Name:          ws-commons-XmlSchema
Version:       1.4.7
Release:       %mkrel 1
Summary:       XmlSchema Object Model
Group:         Development/Java
License:       ASL 2.0
Url:           http://ws.apache.org/commons/XmlSchema/
# svn export http://svn.apache.org/repos/asf/webservices/commons/tags/XmlSchema/XmlSchema-1.4.7
# tar czf XmlSchema-1.4.7-src-svn.tar.gz XmlSchema-1.4.7
Source0:       XmlSchema-1.4.7-src-svn.tar.gz
Source1:       http://www.w3.org/XML/2004/xml-schema-test-suite/xmlschema2002-01-16/xsts-2002-01-16.tar.gz
Source2:       XmlSchema-1.4.7-OSGi-MANIFEST.MF
Patch0:        ws-commons-XmlSchema-1.4.5-build_xml.patch
# require site plugin >= 3.x
Patch1:        ws-commons-XmlSchema-1.4.7-disable-site-plugin.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: bcel
BuildRequires: geronimo-qname
BuildRequires: junit
BuildRequires: ws-commons-java5
BuildRequires: xalan-j2
BuildRequires: xmlunit

%if !%with_maven
BuildRequires: ant
%else
BuildRequires: apache-resource-bundles
BuildRequires: jdepend-maven-plugin
BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-plugin-jxr
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-remote-resources-plugin
BuildRequires: maven-scm
#BuildRequires: maven-site-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
%endif

Requires:      geronimo-qname
Requires:      ws-commons-java5
Requires:      xmlunit

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Commons XMLSchema is a light weight schema object model that can be
used to manipualte or generate a schema. It has a clean, easy to use API and
can easily be integrated into an existing project since it has almost
no dependancies on third party libraries.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n XmlSchema-%{version}

%if !%with_maven
%patch0 -p0
  mkdir -p build/lib
  pushd build
    gzip -dc %{SOURCE1} | tar xf -
  popd
  ln -sf $(build-classpath xmlunit) build/lib/xmlunit-1.0.jar
%endif
# TODO
%patch1 -p0

%build

%if !%with_maven
  export CLASSPATH=""
  CLASSPATH=$CLASSPATH:$(build-classpath geronimo-qname bcel xalan-j2)
  CLASSPATH=$CLASSPATH:$(build-classpath junit):build/classes:build/test-classes
  ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 jar javadoc
%else
  mvn-rpmbuild -Dmaven.test.failure.ignore=true install javadoc:aggregate
%endif

%install

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 target/XmlSchema-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap org.apache.ws.commons.schema XmlSchema %{version} JPP %{name}

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc README.txt RELEASE-NOTE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Nov 11 2011 gil <gil> 1.4.7-1.mga2
+ Revision: 166385
- imported package ws-commons-XmlSchema

